| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingStreamTubeConnection Class Reference
Client-side proxies » Channel proxies

The PendingStreamTubeConnection class represents an asynchronous operation for accepting an incoming stream tube. More...

`#include <TelepathyQt/PendingStreamTubeConnection>`

Inheritance diagram for Tp::PendingStreamTubeConnection:
[legend]

## Public Member Functions

virtual | ~PendingStreamTubeConnection ()
SocketAddressType | addressType () const
QPair< QHostAddress, quint16 > | ipAddress () const
QString | localAddress () const
bool | requiresCredentials () const
uchar | credentialByte () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The PendingStreamTubeConnection class represents an asynchronous operation for accepting an incoming stream tube.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingStreamTubeConnection::~PendingStreamTubeConnection | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

SocketAddressType Tp::PendingStreamTubeConnection::addressType | ( |  | ) | const

Return the type of the opened stream tube socket.

Returns
  The socket type as SocketAddressType.

See also
  localAddress(), ipAddress()

QPair< QHostAddress, quint16 > Tp::PendingStreamTubeConnection::ipAddress | ( |  | ) | const

Return the IP address/port combination of the opened stream tube socket.

This method will return a meaningful value only if the incoming stream tube was accepted as a TCP socket.

Returns
  Pair of IP address as QHostAddress and port if using a TCP socket, or an undefined value otherwise.

See also
  addressType(), localAddress()

QString Tp::PendingStreamTubeConnection::localAddress | ( |  | ) | const

Return the local address of the opened stream tube socket.

This method will return a meaningful value only if the incoming stream tube was accepted as an Unix socket.

Returns
  Unix socket address if using an Unix socket, or an undefined value otherwise.

See also
  addressType(), ipAddress()

bool Tp::PendingStreamTubeConnection::requiresCredentials | ( |  | ) | const

Return whether sending a credential byte once connecting to the socket is required.

Note that if this method returns `true`, one should send a SCM_CREDS or SCM_CREDENTIALS and the credentialByte() once connected. If SCM_CREDS or SCM_CREDENTIALS cannot be sent, the credentialByte() should still be sent.

Returns
  `true` if sending credentials is required, `false` otherwise.

See also
  credentialByte()

uchar Tp::PendingStreamTubeConnection::credentialByte | ( |  | ) | const

Return the credential byte to send once connecting to the socket if requiresCredentials() is `true`.

Returns
  The credential byte.

See also
  requiresCredentials()